Bug 179924 - [PATCH] emulators/dosbox: add OPTIONS to enable internal debugger
Summary: [PATCH] emulators/dosbox: add OPTIONS to enable internal debugger
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-24 11:50 UTC by Dmitry Marakasov
Modified: 2013-07-08 22:33 UTC (History)
1 user (show)

See Also:


Attachments
dosbox-0.74_4.patch (709 bytes, patch)
2013-06-24 11:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2013-06-24 11:50:00 UTC
Add OPTIONS to enable internal debugger

Port maintainer (knyght@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-06-24 11:50:07 UTC
Maintainer of emulators/dosbox,

Please note that PR ports/179924 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179924

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-24 11:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Felippe de Meirelles Motta freebsd_committer 2013-06-28 19:25:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 4 Tom Carrick 2013-07-01 21:29:31 UTC
I'm not sure how many people need this, but I don't have a problem with it.
Comment 5 Felippe de Meirelles Motta freebsd_committer 2013-07-01 21:43:09 UTC
Tom,

I could consider this an "Approved", sure ?
Comment 6 dfilter service freebsd_committer 2013-07-08 22:28:41 UTC
Author: lippe
Date: Mon Jul  8 21:28:28 2013
New Revision: 322539
URL: http://svnweb.freebsd.org/changeset/ports/322539

Log:
  - Add OPTIONS to enable internal debugger
  
  PR:		ports/179924
  Submitted by:	Dmitry Marakasov <amdmi3@amdmi3.ru>
  Approved by:	Tom Carrick <knyght@gmail.com> (maintainer)

Modified:
  head/emulators/dosbox/Makefile

Modified: head/emulators/dosbox/Makefile
==============================================================================
--- head/emulators/dosbox/Makefile	Mon Jul  8 20:22:33 2013	(r322538)
+++ head/emulators/dosbox/Makefile	Mon Jul  8 21:28:28 2013	(r322539)
@@ -27,8 +27,19 @@ DESKTOP_ENTRIES="DOSBox" "${COMMENT}" \
 		"" "dosbox" \
 		"System;Emulator;" "true"
 
+OPTIONS_RADIO=	DEBUGGER
+OPTIONS_RADIO_DEBUGGER=DEBUGGER_ENABLE DEBUGGER_HEAVY
+DEBUGGER_ENABLE_DESC=Enable internal debugger
+DEBUGGER_HEAVY_DESC=Enable internal debugger with extra features
+
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MDEBUGGER_ENABLE}
+CONFIGURE_ARGS+=	--enable-debug=yes
+.elif ${PORT_OPTIONS:MDEBUGGER_HEAVY}
+CONFIGURE_ARGS+=	--enable-debug=heavy
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's#\/usr\/share\/doc\/dosbox#${DOCSDIR}#g' \
 		${WRKSRC}/docs/dosbox.1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Felippe de Meirelles Motta freebsd_committer 2013-07-08 22:33:24 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!